Bug 1646657 - [RFE] filterFieldTypeMenu button should have unique `Name`
Summary: [RFE] filterFieldTypeMenu button should have unique `Name`
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Kedar Kulkarni
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-05 20:02 UTC by Michael Ro
Modified: 2019-02-07 23:04 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:56 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:01 UTC

Description Michael Ro 2018-11-05 20:02:11 UTC
Description of problem:

filterFieldTypeMenu button should have unique name attribute (e.g. vms-filter-dropdown or something logical) so that the automated tests can select it using that attribute. Currently, there are Dropdowns at multiple places on page with exact same id and class attributes E.g. on Migration Not Started, Migration Complete and Migration Plans Archived pages, all have a dropdown with exact same class and id

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 CFME Bot 2018-11-12 23:42:55 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/1d53f4867a52f5c88227f6d0ab6bb26f28c80d65
commit 1d53f4867a52f5c88227f6d0ab6bb26f28c80d65
Author:     Aparna Karve <aparna.karve@gmail.com>
AuthorDate: Mon Nov  5 15:11:54 2018 -0500
Commit:     Aparna Karve <aparna.karve@gmail.com>
CommitDate: Mon Nov  5 15:11:54 2018 -0500

    Merge pull request #772 from michaelkro/771-filter-dropdown-id

    [#771] Add unique identifiers for filter type selects

    (cherry picked from commit c87e28543b574d7fba25303cbfb4d831e2b39ec9)

    https://bugzilla.redhat.com/show_bug.cgi?id=1646657

 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardAdvancedOptionsStep/components/PlanWizardAdvancedOptionsStepTable/PlanWizardAdvancedOptionsStepTable.js | 1 +
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardVMStep/components/PlanWizardVMStepTable.js | 1 +
 2 files changed, 2 insertions(+)

Comment 4 Kedar Kulkarni 2018-11-30 20:15:11 UTC
On 5.10.0.27 this is fixed as expected.

Comment 5 errata-xmlrpc 2019-02-07 23:03:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.